Replace the caller's saved generated-report history
curl --request PUT \
--url https://api.orbit.devotel.io/api/v1/me/generated-reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reports": [
{
"id": "<string>",
"name": "<string>",
"generatedAt": "<string>",
"columns": [
{
"key": "<string>",
"label": "<string>"
}
]
}
]
}
'import requests
url = "https://api.orbit.devotel.io/api/v1/me/generated-reports"
payload = { "reports": [
{
"id": "<string>",
"name": "<string>",
"generatedAt": "<string>",
"columns": [
{
"key": "<string>",
"label": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reports: [
{
id: '<string>',
name: '<string>',
generatedAt: '<string>',
columns: [{key: '<string>', label: '<string>'}]
}
]
})
};
fetch('https://api.orbit.devotel.io/api/v1/me/generated-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"updated": true,
"reports": [
{
"id": "<string>",
"name": "<string>",
"type": "message_delivery",
"generatedAt": "<string>",
"columns": [
{
"key": "<string>",
"label": "<string>"
}
]
}
]
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"details": "<unknown>"
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Account
Replace the caller's saved generated-report history
Replaces the authenticated user’s saved Insights → Reports history in a single call. Send the full list in reports (array, up to 50 entries), each { id, name, type, generatedAt, columns } — this is a full replace, not per-item updates. Report metadata is validated and capped (max 50 reports) server-side; report rows are never accepted or stored.
PUT
/
api
/
v1
/
me
/
generated-reports
Replace the caller's saved generated-report history
⌘I